org.optaplanner.core.config.heuristic.selector

## Class SelectorConfig<C extends SelectorConfig>

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.heuristic.selector.SelectorConfig<C>

- Direct Known Subclasses:
    EntitySelectorConfig, MoveSelectorConfig, NearbySelectionConfig, PillarSelectorConfig, SubChainSelectorConfig, ValueSelectorConfig

      public abstract class SelectorConfig<C extends SelectorConfig>
      extends AbstractConfig<C>

  General superclass for `MoveSelectorConfig`, `EntitySelectorConfig` and `ValueSelectorConfig`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectorConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `inherit(C inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `protected void` | `validateCacheTypeVersusSelectionOrder(SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder)`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectorConfig

          public SelectorConfig()

  - ### Method Detail

    - #### validateCacheTypeVersusSelectionOrder

          protected void validateCacheTypeVersusSelectionOrder(SelectionCacheType resolvedCacheType,
                                                               SelectionOrder resolvedSelectionOrder)

    - #### inherit

          public void inherit(C inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<C extends SelectorConfig>`
      Parameters:
        `inheritedConfig` - never null

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.